//+------------------------------------------------------------------+
//|                                                 ChannelTrade.mq4 |
//|                               Copyright  2006, Taylor Stockwell |
//|                                               stockwet@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Taylor Stockwell"
#property link      "stockwet@yahoo.com"


#property show_inputs

/*
Order Types:
OP_BUY 0 Buying position. 
OP_SELL 1 Selling position. 


*/

extern int Buy = 0;
extern int Sell = 1;
extern int BuyLimit = 2;
extern int SellLimit = 3;
extern int BuyStop = 4;
extern int SellStop = 5;
extern string Values = "==Above is Order Enumeration==";
extern int OrdersType = 0;
extern string Order_Type = "Trade";
extern int MagicNumber = 112233;
extern double Price = 1.000;
extern double Lots = 0.4;
extern bool MoneyManagement = True;
extern int Risk = 2;
extern int Slippage = 5;
extern string Comments = "Trade";


int m, d, y;


//=============== FUNCTION init
int init()
  {

  }
//== end function

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()

   

{
 int X;
 int ticket;

if (MoneyManagement)
   {
      if (Risk<1 || Risk>100)
      {
         Comment("Invalid Risk Value.");
         return(0);
      }
      else
      {
         Lots=MathFloor((AccountFreeMargin()*AccountLeverage()*Risk*Point*100)/(Ask*MarketInfo(Symbol(),MODE_LOTSIZE)*MarketInfo(Symbol(),MODE_MINLOT)))*MarketInfo(Symbol(),MODE_MINLOT);
      }
   }

if (Order_Type == "Buy" || Order_Type == "buy") OrdersType = 0;
if (Order_Type == "Sell" || Order_Type == "sell") OrdersType = 1;
if (Order_Type == "BuyLimit" || Order_Type == "buylimit") OrdersType = 2;
if (Order_Type == "SellLimit" || Order_Type == "selllimit") OrdersType = 3;
if (Order_Type == "BuyStop" || Order_Type == "buystop") OrdersType = 4;
if (Order_Type == "SellStop" || Order_Type == "sellstop") OrdersType = 5;
 

 switch(OrdersType)


 {
 
 case (0):

 
   {
    ticket = OrderSend(Symbol(),OP_BUY, Lots, Ask, Slippage, NULL, NULL, "" + Comments + "Buy #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
       }
     else Print("Error opening BUY order : ",GetLastError());  
    }
      break;
      
 case (1):
 
    {
    ticket = OrderSend(Symbol(),OP_SELL, Lots, Bid, Slippage, NULL, NULL, "" + Comments + "Buy #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
       }
     else Print("Error opening SELL order : ",GetLastError());  
    }
    
     break;
 
  case (2):
 
    {
    ticket = OrderSend(Symbol(),OP_BUYLIMIT, Lots, Price, Slippage, NULL, NULL, "" + Comments + "Buy #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUYLIMIT order opened : ",OrderOpenPrice());
       }
     else Print("Error opening BUYLIMIT order : ",GetLastError());  
    }
    
     break;
     
  case (3):
 
    {
    ticket = OrderSend(Symbol(),OP_SELLLIMIT, Lots, Price, Slippage, NULL, NULL, "" + Comments + "Sell #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
       }
     else Print("Error opening SELL order : ",GetLastError());  
    }
    
     break;     
 
   case (4):
 
    {
    ticket = OrderSend(Symbol(),OP_BUYSTOP, Lots, Price, Slippage, NULL, NULL, "" + Comments + "Buy #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUYSTOP order opened : ",OrderOpenPrice());
       }
     else Print("Error opening BUYSTOP order : ",GetLastError());  
    }
    
     break;
     
       case (5):
 
    {
    ticket = OrderSend(Symbol(),OP_SELLSTOP, Lots, Price, Slippage, NULL, NULL, "" + Comments + "Sell #:" + MagicNumber + "", MagicNumber, 0, CLR_NONE);
    if(ticket>0)
       {
        if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELLSTOP order opened : ",OrderOpenPrice());
       }
     else Print("Error opening SELLSTOP order : ",GetLastError());  
    }
    
     break;  
 
 default:
 
 Print("Error");
 
 break;
 
 }
 
 return(0);
 }
 
 
 
 





//+------------------------------------------------------------------+